truncate_inode_pages
Prev | More Memory Management Functions | Next

## Name

truncate_inode_pages — truncate *all* the pages from an offset

## Synopsis

`void truncate_inode_pages (` | struct address_space * | mapping,
| loff_t | lstart`)`;

## Arguments

`mapping`

  mapping to truncate

`lstart`

  offset from which to truncate

## Description

Called under (and serialised by) inode->i_mutex.

Prev | Up | Next
truncate_inode_pages_range | Home | invalidate_mapping_pages